Syncfusion AI Assistant

How can I help you?

Get selected items from EJ2 JavaScript ListView control

5 Mar 20258 minutes to read

In the ListView control, users can select one or more items. The getSelectedItems API method can be used to retrieve details of the currently selected items from the ListView control.

This method is used to retrieve details of the currently selected item(s) from the list. It returns an object of type SelectedItem for single selection or SelectedCollection for multiple selections.

The getSelectedItems method returns the following items from the selected list items.

Return type Purpose
text Returns the text of selected item lists
data Returns the whole data of selected list items, i.e., returns the fields data of selected li.
item Returns the collections of list items
//define the array of string
var data = [
  { text: 'Hennessey Venom', id: 'list-01' },
  { text: 'Bugatti Chiron', id: 'list-02', isChecked: true },
  { text: 'Bugatti Veyron Super Sport', id: 'list-03' },
  { text: 'SSC Ultimate Aero', id: 'list-04', isChecked: true },
  { text: 'Koenigsegg CCR', id: 'list-05' },
  { text: 'McLaren F1', id: 'list-06' },
  { text: 'Aston Martin One- 77', id: 'list-07', isChecked: true },
  { text: 'Jaguar XJ220', id: 'list-08' }
];

//Initialize ListView control
var listviewInstance = new ej.lists.ListView({
  //set the data to datasource property
  dataSource: data,

  //Enable checkbox
  showCheckBox: true,
});

//Render initialized ListView
listviewInstance.appendTo("#element");

var button = new ej.buttons.Button();
button.appendTo("#btn")

document.getElementById('btn').addEventListener('click', function () {
  var selectedItem = listviewInstance.getSelectedItems();
  var valElement = document.getElementById('val');

  if (!valElement) return;

  valElement.innerHTML = '';

  // Create table rows in a fragment to minimize reflow
  var fragment = document.createDocumentFragment();

  // Create header row
  var headerRow = document.createElement('tr');
  ['Text', 'Id'].forEach(function (text) {
    var th = document.createElement('th');
    th.textContent = text;
    headerRow.appendChild(th);
  });
  fragment.appendChild(headerRow);

  // Populate table rows
  selectedItem.data.forEach(function (item, index) {
    var row = document.createElement('tr');
    row.id = index.toString();
    row.innerHTML = `<td>${selectedItem.text[index]}</td><td>${item.id}</td>`;
    fragment.appendChild(row);
  });

  // Append all elements at once
  valElement.appendChild(fragment);
});
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Essential JS 2 for ListView </title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Essential JS 2 for ListView UI Control">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/33.1.44/ej2-base/styles/bootstrap5.3.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/33.1.44/ej2-lists/styles/bootstrap5.3.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/33.1.44/ej2-buttons/styles/bootstrap5.3.css" rel="stylesheet">
    <script src="https://cdn.syncfusion.com/ej2/33.1.44/dist/ej2.min.js" type="text/javascript"></script>
</head>

<body>
    <div id="container">
        <div id="element"></div>
        <div id="text">
            <button id="btn">Get selected Items</button>
            <table id="val">
            </table>
        </div>
    </div>

    <script>
        var ele = document.getElementById('container');
        if (ele) {
            ele.style.visibility = "visible";
        }   
    </script>
    <script src="index.js" type="text/javascript"></script>
    <style>
        #container {
            display: flex;
        }

        #text {
            margin-left: 10px;
            margin-top: 20px;
        }

        body {
            margin: 0;
        }

        #container {
            width: 100%;
            margin: 0 auto;
        }

        #element {
            max-width: 350px;
            margin: auto;
            margin-top: 10px;
            display: block;
            border: 1px solid #dddddd;
            border-radius: 3px;
        }
    </style>
</body>

</html>
#container {
    visibility: hidden;
}

#loader {
  color: #008cff;
  height: 40px;
  width: 30%;
  position: absolute;
  font-family: 'Helvetica Neue','calibiri';
  font-size: 14px;
  top: 45%;
  left: 45%;
}

Syncfusion AI Assistant

How can I help you?

Get selected items from ListView in Vue ListView component

21 Feb 20258 minutes to read

Single or many items can be selected by users in the ListView component. An API method is available to get selected items from the list items. This is called the getSelectedItems method.

Method Usage
getSelectedItems This is used to get the details of the currently selected item from the list items. It returns either a SelectedItem or a SelectedCollection depending on the selection mode.

The getSelectedItems method returns the following items from the selected list items.

Return type Purpose
text Returns the text of selected item lists
data Returns the complete data of selected list items, i.e., returns the fields data of selected li elements
item Returns the collections of list items
<template>
  <div class="control-section">
    <ejs-listview ref='listview' id='sample-list' :dataSource='data' showCheckBox=true :fields='fields'></ejs-listview>
    <br />
    <ejs-button id="btn" v-on:click="onClick">Get Selected Items</ejs-button>
    <div ref='valEle' id="val"> </div>
  </div>
</template>

<script setup>

import { ListViewComponent as EjsListview } from "@syncfusion/ej2-vue-lists";
import { ButtonComponent as EjsButton } from '@syncfusion/ej2-vue-buttons';
import { createApp, ref } from "vue";


const listview = ref(null);
const valEle = ref(null);

createApp().component("demo", {
  template: `<div class='text-content'>  <span class = 'delete-icon'></span> </div>`,
  data() {
    return {
      data: {}
    };
  }
});

const data = [
  { text: 'Hennessey Venom', id: 'list-01' },
  { text: 'Bugatti Chiron', id: 'list-02', isChecked: true },
  { text: 'Bugatti Veyron Super Sport', id: 'list-03' },
  { text: 'SSC Ultimate Aero', id: 'list-04', isChecked: true },
  { text: 'Koenigsegg CCR', id: 'list-05' },
  { text: 'McLaren F1', id: 'list-06' },
  { text: 'Aston Martin One- 77', id: 'list-07', isChecked: true },
  { text: 'Jaguar XJ220', id: 'list-08' }];
const fields = { id: 'id', isChecked: 'isChecked' };

const onClick = () => {
  let selecteditem = listview.value.getSelectedItems();
  valEle.value.innerHTML = "";
  for (let i = 0; i < selecteditem["data"].length; i++) {
    let listData = document.createElement('p');
    listData.innerHTML = "text : " + selecteditem["text"][i] + " , " + "id : " + selecteditem["data"][i].id;
    valEle.value.append(listData);
  }
}

</script>
<style>
#sample-list {
  display: block;
  max-width: 400px;
  margin: auto;
  border: 1px solid #dddddd;
  border-radius: 3px;
}
</style>
<template>
  <div class="control-section">
    <ejs-listview ref='listview' id='sample-list' :dataSource='data' showCheckBox=true :fields='fields'></ejs-listview>
    <br/>
    <ejs-button id="btn"  v-on:click.native="onClick" >Get Selected Items</ejs-button>
    <div ref='valEle' id="val"> </div>
  </div>
</template>
<style>
#sample-list {
  display: block;
  max-width: 400px;
  margin: auto;
  border: 1px solid #dddddd;
  border-radius: 3px;
}
</style>
<script>

import { ListViewComponent } from "@syncfusion/ej2-vue-lists";
import { ButtonComponent } from '@syncfusion/ej2-vue-buttons';
import { createApp } from "vue";

createApp().component("demo", {
  template: `<div class='text-content'>  <span class = 'delete-icon'></span> </div>`,
  data() {
    return {
      data: {}
    };
  }
});

export default {
name: "App",
components: {
"ejs-listview":ListViewComponent,
"ejs-button":ButtonComponent
},
  data: function() {
    return {
      data: [
    { text: 'Hennessey Venom', id: 'list-01' },
    { text: 'Bugatti Chiron', id: 'list-02', isChecked: true },
    { text: 'Bugatti Veyron Super Sport', id: 'list-03'},
    { text: 'SSC Ultimate Aero', id: 'list-04', isChecked: true  },
    { text: 'Koenigsegg CCR', id: 'list-05' },
    { text: 'McLaren F1', id: 'list-06' },
    { text: 'Aston Martin One- 77', id: 'list-07', isChecked: true },
    { text: 'Jaguar XJ220', id: 'list-08' }],
    fields: { id: 'id', isChecked:'isChecked' },
    };
  },
  methods: {
    onClick: function(){
      let selecteditem =this.$refs.listview.getSelectedItems();
      this.$refs.valEle.innerHTML="";
      for(let i=0; i< selecteditem["data"].length; i++) {
      let listData = document.createElement('p');
      listData.innerHTML = "text : "+ selecteditem["text"][i]+" , "+"id : "+selecteditem["data"][i].id;
      this.$refs.valEle.append(listData);
      }
    }
  }
}
</script>

Syncfusion AI Assistant

How can I help you?

Get selected items from ListView in Angular ListView component

10 Sep 20255 minutes to read

Users can select single or multiple items in the ListView component. The getSelectedItems method is used to retrieve the selected items from the ListView.

getSelectedItems method

This method retrieves details of the currently selected items from the ListView. It returns either a SelectedItem or a SelectedCollection, depending on the selection mode.

The getSelectedItems method provides the following properties for the selected items:

Return type Purpose
text Returns the text of the selected list items.
data Returns the complete data object of the selected list items, including all mapped fields.
item Returns the collection of selected list item elements.
import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { ListViewModule } from '@syncfusion/ej2-angular-lists'
import { Component, ViewChild } from "@angular/core";

@Component({
  imports: [
    ListViewModule
  ],
  standalone: true,
  selector: "my-app",
  template: `
    <ejs-listview
      #listview
      id="sample-list"
      [dataSource]="data"
      [showCheckBox]="true"
      [fields]="fields"
    ></ejs-listview>
    <br />
    <input
      type="button"
      id="btn"
      ejs-button
      value="Get Selected Items"
      (click)="onClick($event)"
    />
    <div #val id="val"></div>
  `
})
export class AppComponent {
  @ViewChild("listview") element: any;
  @ViewChild("val") valEle: any;
  public data: Object = [
    { text: "Hennessey Venom", id: "list-01" },
    { text: "Bugatti Chiron", id: "list-02", isChecked: true },
    { text: "Bugatti Veyron Super Sport", id: "list-03" },
    { text: "SSC Ultimate Aero", id: "list-04", isChecked: true },
    { text: "Koenigsegg CCR", id: "list-05" },
    { text: "McLaren F1", id: "list-06" },
    { text: "Aston Martin One- 77", id: "list-07", isChecked: true },
    { text: "Jaguar XJ220", id: "list-08" }
  ];
  public fields: Object = { id: "id", isChecked: "isChecked" };

  onClick(event: any) {
    let selecteditem = this.element.getSelectedItems();
    this.valEle.nativeElement.innerHTML = "";
    for (let i = 0; i < selecteditem["data"].length; i++) {
      let listData = document.createElement("p");
      listData.innerHTML =
        "text : " +
        selecteditem["text"][i] +
        " , " +
        "id : " +
        selecteditem["data"][i].id;
      this.valEle.nativeElement.append(listData);
    }
  }
}
@import 'node_modules/@syncfusion/ej2-base/styles/material3.css';
@import 'node_modules/@syncfusion/ej2-angular-base/styles/material3.css';
@import 'node_modules/@syncfusion/ej2-angular-lists/styles/material3.css';
@import 'node_modules/@syncfusion/ej2-angular-buttons/styles/material3.css';

#sample-list {
    display: block;
    max-width: 400px;
    margin: auto;
    border: 1px solid #dddddd;
    border-radius: 3px;
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Syncfusion AI Assistant

How can I help you?

Get selected items from ListView in React ListView component

23 Jan 202511 minutes to read

The ListView component allows users to select single or multiple items. It provides an API to retrieve the selected items from the list. This API is called the getSelectedItems method.

getSelectedItems method

This method is used to retrieve details of the currently selected item(s) from the list. It returns an object of type SelectedItem for single selection or SelectedCollection for multiple selections.

The getSelectedItems method returns the following information about the selected list items:

Return type Purpose
text Returns the text content of selected list items
data Returns the complete data of selected list items, including all fields of the selected <li> elements
item Returns the collection of selected DOM list item elements

The following example demonstrates how to use the getSelectedItems method to retrieve and display information about selected items:

import * as React from 'react';
import * as ReactDOM from "react-dom";
import { ListViewComponent } from '@syncfusion/ej2-react-lists';
import { ButtonComponent } from '@syncfusion/ej2-react-buttons';
function App() {
  let listobj = null;
  // define the array of Json
  let data = [
    { text: "Hennessey Venom", id: "list-01" },
    { text: "Bugatti Chiron", id: "list-02", isChecked: true },
    { text: "Bugatti Veyron Super Sport", id: "list-03" },
    { text: "SSC Ultimate Aero", id: "list-04", isChecked: true },
    { text: "Koenigsegg CCR", id: "list-05" },
    { text: "McLaren F1", id: "list-06" },
    { text: "Aston Martin One- 77", id: "list-07", isChecked: true },
    { text: "Jaguar XJ220", id: "list-08" }
  ];
  const [state, SetState] = React.useState({
    selectedItemsValue: []
  });
  function getSelectedItems() {
    if (listobj) {
      SetState({
        selectedItemsValue: listobj.getSelectedItems().data
      });
    }
  }
  return (<div>
    <ListViewComponent id="list" dataSource={data} showCheckBox={true} ref={scope => {
      listobj = scope;
    }} />
    <ButtonComponent id="btn" onClick={getSelectedItems.bind(this)}>
      Get Selected Items
    </ButtonComponent>
    <div>
      <table>
        <tbody>
          <tr>
            <th>Text</th>
            <th>Id</th>
          </tr>

          {state.selectedItemsValue.map((item, index) => {
            return (<tr key={index}>
              <td>{item.text}</td>
              <td>{item.id}</td>
            </tr>);
          })}
        </tbody>
      </table>
    </div>
  </div>);
}
export default App;
ReactDOM.render(<App />, document.getElementById('element'));
import * as React from 'react';
import * as ReactDOM from "react-dom";
import { ListViewComponent } from '@syncfusion/ej2-react-lists';
import { ButtonComponent } from '@syncfusion/ej2-react-buttons';

function App() {
  let listobj: ListViewComponent | null = null;
  // define the array of Json
  let data: { [key: string]: Object }[] = [
    { text: "Hennessey Venom", id: "list-01" },
    { text: "Bugatti Chiron", id: "list-02", isChecked: true },
    { text: "Bugatti Veyron Super Sport", id: "list-03" },
    { text: "SSC Ultimate Aero", id: "list-04", isChecked: true },
    { text: "Koenigsegg CCR", id: "list-05" },
    { text: "McLaren F1", id: "list-06" },
    { text: "Aston Martin One- 77", id: "list-07", isChecked: true },
    { text: "Jaguar XJ220", id: "list-08" }
  ];
  const [state, SetState] = React.useState({
    selectedItemsValue: []
  });
  function getSelectedItems(): void {
    if (listobj) {
      SetState({
        selectedItemsValue: (listobj.getSelectedItems() as any).data
      });
    }
  }

  return (
    <div>
      <ListViewComponent
        id="list"
        dataSource={data}
        showCheckBox={true}
        ref={scope => {
          listobj = scope;
        }}
      />
      <ButtonComponent id="btn" onClick={getSelectedItems.bind(this)}>
        Get Selected Items
      </ButtonComponent>
      <div>
        <table>
          <tbody>
            <tr>
              <th>Text</th>
              <th>Id</th>
            </tr>

            {state.selectedItemsValue.map((item: any, index: number) => {
              return (
                <tr key={index}>
                  <td>{item.text}</td>
                  <td>{item.id}</td>
                </tr>
              );
            })}
          </tbody>
        </table>
      </div>
    </div>
  );
}
export default App;
ReactDOM.render(<App />, document.getElementById('element'));
#list {
  display: block;
  max-width: 400px;
  margin: auto;
  border: 1px solid #dddddd;
  border-radius: 3px;
}

#btn,
#val {
  margin-top: 30px;
}
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Syncfusion React ListView</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Essential JS 2 for React Components" />
    <meta name="author" content="Syncfusion" />
    <link href="https://cdn.syncfusion.com/ej2/33.2.3/ej2-base/styles/tailwind3.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/33.2.3/ej2-buttons/styles/tailwind3.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/33.2.3/ej2-react-lists/styles/tailwind3.css" rel="stylesheet" />
    <link href="index.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
    <style>
        #loader {
            color: #008cff;
            height: 40px;
            left: 45%;
            position: absolute;
            top: 45%;
            width: 30%;
        }
    </style>
</head>

<body>
    <div id='element' style="margin:0 auto; max-width:400px;">
        <div id='loader'>Loading....</div>
    </div>
</body>

</html>